<!DOCTYPE html>
<html>
<head>
    <title>Redux-React</title>
</head>
<body>
    <p>Clicked: <span id="value">0</span> times</p>
    <button id="decrement">Decrement</button>
    <button id="incrementAsync">Increament async</button>

    <script>
        var valueEl = document.getElementById('value');
        function render() {
          valueEl.innerHTML = 0;
        };
        render();

        document.getElementById('decrement')
          .addEventListener('click', function() {
            valueEl.innerHTML = parseInt(valueEl.innerHTML) - 1;
          });
        
        document.getElementById('incrementAsync')
          .addEventListener('click', function() {
            setTimeout(
              function () {
                valueEl.innerHTML = parseInt(valueEl.innerHTML) + 1;
              }
            , 1000);
          });
    </script>
</body>
</html>
